ce8126ec00
- tests/t3000: Check for hfs and vfat support separately (bcl) - tests: Reduce memory usage for tests using scsi_debug module (bcl) - spec: Install to /usr/sbin and /usr/lib64 (bcl)
37 lines
1.2 KiB
Diff
37 lines
1.2 KiB
Diff
From 18556277b93ebb7dd88da5d4928189386c0eb132 Mon Sep 17 00:00:00 2001
|
|
From: "Brian C. Lane" <bcl@redhat.com>
|
|
Date: Mon, 12 Jul 2021 15:29:59 -0700
|
|
Subject: [PATCH 21/24] tests/t3200: Change dev_size_mb to 10
|
|
|
|
This is backed by memory, so using more than is needed limits the size
|
|
of the system it can run on.
|
|
---
|
|
tests/t3200-type-change.sh | 4 ++--
|
|
1 file changed, 2 insertions(+), 2 deletions(-)
|
|
|
|
diff --git a/tests/t3200-type-change.sh b/tests/t3200-type-change.sh
|
|
index 39904e0..3ad8604 100755
|
|
--- a/tests/t3200-type-change.sh
|
|
+++ b/tests/t3200-type-change.sh
|
|
@@ -25,7 +25,7 @@ grep '^#define USE_BLKID 1' "$CONFIG_HEADER" > /dev/null ||
|
|
skip_ 'this system lacks a new-enough libblkid'
|
|
|
|
# create memory-backed device
|
|
-scsi_debug_setup_ dev_size_mb=550 > dev-name ||
|
|
+scsi_debug_setup_ dev_size_mb=10 > dev-name ||
|
|
skip_ 'failed to create scsi_debug device'
|
|
scsi_dev=$(cat dev-name)
|
|
|
|
@@ -34,7 +34,7 @@ scsi_dev=$(cat dev-name)
|
|
# partition and ensure that parted doesn't "helpfully" change the partition
|
|
# type to match the newly-detected FS type.
|
|
|
|
-parted -s $scsi_dev mklabel msdos mkpart primary fat32 64s 80000s || fail=1
|
|
+parted -s $scsi_dev mklabel msdos mkpart primary fat32 1MiB 100% || fail=1
|
|
|
|
parted -s $scsi_dev u s p
|
|
|
|
--
|
|
2.31.1
|
|
|